/*
 * A Simple Chat Program With Client/Server (GUI Optional)
 * pbl
 * December 13, 2011
 * Version 1.0
 * http://www.dreamincode.net/forums/topic/259777-a-simple-chat-program-with-clientserver-gui-optional/
 */
package Server;
import java.io.*;

public class ChatMessage implements Serializable 
{
	protected static final long serialVersionUID = 1112122200L;

	public static final int ONLINE = 0, MESSAGE = 1, LOGOUT = 2, TRANSFER = 3, LOGIN = 4, ASSIGNED = 5;
	private int type;
	private String message;
	
	// constructor
	public ChatMessage(int type, String message) 
	{
		this.type = type;
		this.message = message;
	}
	
	// getters
	int getType() 
	{
		return type;
	}
	String getMessage() 
	{
		return message;
	}
}

